### Enumeration

# FwupdPlugin EfiHardDriveDevicePathSignatureType

#### Declaration

    enum FwupdPlugin.EfiHardDriveDevicePathSignatureType

#### Description

No description available.

#### Members

`FU_EFI_HARD_DRIVE_DEVICE_PATH_SIGNATURE_TYPE_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SIGNATURE_TYPE_ADDR1B8`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SIGNATURE_TYPE_GUID`

  No description available.

  - Value: `2`
  - Available since: 1.0